#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-BXGkOxpAFVK7vXBusxnJNw
key: crypto-pubkey-0.2.8-BXGkOxpAFVK7vXBusxnJNw
license: BSD-3-Clause
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
author: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
abi: 584acad9e046899287ae1ab80840fd6b
exposed: True
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
import-dirs: /usr/lib/ghc-8.4.2/site-local/crypto-pubkey-0.2.8
library-dirs: /usr/lib/ghc-8.4.2/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-BXGkOxpAFVK7vXBusxnJNw
depends:
    base-4.11.1.0 bytestring-0.10.8.2
    byteable-0.1.1-APABKKN6nDlC3QxQBw4YlY
    crypto-random-0.0.9-ElI52ZQV6VTDIMxucqa13U
    crypto-pubkey-types-0.4.3-2nlz7tXabiwDvbnxGDlZVr
    cryptohash-0.11.9-2U8R2Lw6pujHMn8zue6cAL
    crypto-numbers-0.2.7-71h2gUhnVDj47T4U8srZiF
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             byteable-0.1.1-APABKKN6nDlC3QxQBw4YlY=92b5e3ef28899454b801dbff33965e76
             crypto-random-0.0.9-ElI52ZQV6VTDIMxucqa13U=54086cc9344f9fda8ce5ce17be941b63
             crypto-pubkey-types-0.4.3-2nlz7tXabiwDvbnxGDlZVr=9ecf073c785912edf53e43046e756ac7
             cryptohash-0.11.9-2U8R2Lw6pujHMn8zue6cAL=6d22c4f6ce25d6829f67cd55557d846e
             crypto-numbers-0.2.7-71h2gUhnVDj47T4U8srZiF=a13b134852cface6d1db33e6801d0cc1
haddock-interfaces: /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock
haddock-html: /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

